Package org.eclipse.net4j.util.fsm

## Class FiniteStateMachine.FailTransition

- java.lang.Object
- - org.eclipse.net4j.util.fsm.FiniteStateMachine.FailTransition

- All Implemented Interfaces:
    `ITransition<java.lang.Enum<?>,​java.lang.Enum<?>,​java.lang.Object,​java.lang.Object>`
  Enclosing class:
    FiniteStateMachine<STATE extends java.lang.Enum<?>,​EVENT extends java.lang.Enum<?>,​SUBJECT>

      @Deprecated
      public static class FiniteStateMachine.FailTransition
      extends java.lang.Object
      implements ITransition<java.lang.Enum<?>,​java.lang.Enum<?>,​java.lang.Object,​java.lang.Object>

  Deprecated.
  Use `FiniteStateMachine.FAIL`
  A `transition` that throws an `IllegalStateException`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FailTransition()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(java.lang.Object subject, java.lang.Enum<?> state, java.lang.Enum<?> event, java.lang.Object data)` | Deprecated.
    `java.lang.String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FailTransition

          public FailTransition()

      Deprecated.

  - ### Method Detail

    - #### execute

          public void execute​(java.lang.Object subject,
                              java.lang.Enum<?> state,
                              java.lang.Enum<?> event,
                              java.lang.Object data)

      Deprecated.
      Specified by:
        `execute` in interface `ITransition<java.lang.Enum<?>,​java.lang.Enum<?>,​java.lang.Object,​java.lang.Object>`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`